## ros-foxy-simple-launch 1.7.1

=== debian/changelog ===
ros-foxy-simple-launch (1.7.1-1focal) focal; urgency=high

  * list[] -> List[] for type hints in 20.04
  * detail on __ns for services
  * add service call at launch
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 15 May 2023 22:00:00 -0000

ros-foxy-simple-launch (1.7.0-1focal) focal; urgency=high

  * GazeboBridge creates a camera_info topic for all bridged image topics
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 21 Feb 2023 23:00:00 -0000

ros-foxy-simple-launch (1.6.2-1focal) focal; urgency=high

  * add .rviz shortcut, clean Python scripts
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 22 Jan 2023 23:00:00 -0000

ros-foxy-simple-launch (1.6.1-1focal) focal; urgency=high

  * fix bug in robot_state_publisher with raw URDF
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 09 Oct 2022 22:00:00 -0000

ros-foxy-simple-launch (1.6.0-1focal) focal; urgency=high

  * check use_sim_time versus a parameter file
  * resolve any builtin type as Substitution, not only text
  * improve documentation
  * Gazebo + humble compat
  * OpaqueFunction wrapper and SimpleSubstitution
  * switch to CMake to avoid deprecation messages
  * more spawn_gz
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 05 Oct 2022 22:00:00 -0000

ros-foxy-simple-launch (1.5.0-1focal) focal; urgency=high

  * allow spawning a Gz model from file
  * parameters are list of dict
  * allow substitution for topics in ros_ign_image bridge
  * Gazebo bridge handles invalid ROS topics through yaml config file. Image bridges are automatically run through ros_ign_image
  * better handling of gazebo spawn pose
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Thu, 25 Aug 2022 22:00:00 -0000

ros-foxy-simple-launch (1.4.1-1focal) focal; urgency=high

  * more handling of param types
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 31 May 2022 22:00:00 -0000

ros-foxy-simple-launch (1.4.0-1focal) focal; urgency=high

  * use Gazebo instead of Ignition
  * better type comprehension
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 31 May 2022 22:00:00 -0000

ros-foxy-simple-launch (1.3.1-1focal) focal; urgency=high

  * use underscores in setup.cfg
  * typo in included_launch example
  * Merge pull request #4 <https://github.com/oKermorgant/simple_launch/issues/4> from yushijinhun/patch-1
    Add package & executable parameter to container
  * [readme] add doc for container.package
  * Add package & executable param to container
    This allows the user to use a component container implementation
    other than component_container, such as component_container_isolated
    and component_container_mt.
  * Contributors: Haowei Wen, Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 01 May 2022 22:00:00 -0000

ros-foxy-simple-launch (1.3.0-1focal) focal; urgency=high

  * more use_sim_time: constructor + warning on 'auto'
  * auto_sim_time can be forced instead of checking /clock
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 02 Feb 2022 23:00:00 -0000

ros-foxy-simple-launch (1.2.1-1focal) focal; urgency=high

  * add Ignition support
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 23 Jan 2022 23:00:00 -0000

ros-foxy-simple-launch (1.2.0-1focal) focal; urgency=high

  * make it clearer for the prefix_gz_plugins param
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 01 Nov 2021 23:00:00 -0000

ros-foxy-simple-launch (1.1.0-1focal) focal; urgency=high

  * add capacity to prefix and namespace Gazebo-published messages, as an alternative to using Gazebo namespaces that also remap /tf
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Fri, 24 Sep 2021 22:00:00 -0000

ros-foxy-simple-launch (1.0.6-1focal) focal; urgency=high

  * node arguments is a raw list and accepts substitutions
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 21 Sep 2021 22:00:00 -0000

ros-foxy-simple-launch (1.0.5-1focal) focal; urgency=high

  * automagically convert to expected type for node parameters, remappings, launch arguments
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 21 Sep 2021 22:00:00 -0000

ros-foxy-simple-launch (1.0.4-1focal) focal; urgency=high

  * some Python2 legacy bugs
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Thu, 02 Sep 2021 22:00:00 -0000

ros-foxy-simple-launch (1.0.3-1focal) focal; urgency=high

  * solve typo in node_args
  * better handling of node arguments in nested lists
  * bug fixes around Substitutions
  * Merge pull request #1 <https://github.com/oKermorgant/simple_launch/issues/1> from oKermorgant/master
    deduce executable from package name if needed
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Fri, 16 Apr 2021 22:00:00 -0000

ros-foxy-simple-launch (1.0.2-1focal) focal; urgency=high

  * composition with existing container
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 07 Dec 2020 23:00:00 -0000

ros-foxy-simple-launch (1.0.1-1focal) focal; urgency=high

  * PythonExpression shortcut
  * xacro args now take substitution args
  * add LoadComposableNode feature for existing containers
  * add name_join and path_join to combine raw str and Substitution stuff
  * first commit
  * Contributors: Olivier Kermorgant


