=== debian/control ===
Source: ros-foxy-simple-launch
Section: misc
Priority: optional
Maintainer: Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-python, ros-foxy-ament-index-python, ros-foxy-launch, ros-foxy-launch-ros, ros-foxy-xacro, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-simple-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-index-python, ros-foxy-launch, ros-foxy-launch-ros, ros-foxy-xacro, ros-foxy-ros-workspace
Description: Python helper class for the ROS 2 launch system
